<?php

namespace TreeType\Typography\Action;

use TreeType\Typography\Nbsp\CzechNbsp;

/**
 * Test class for NonBreakingSpaceAdd.
 * Generated by PHPUnit on 2012-09-11 at 12:59:51.
 * @group typography
 */
class NonBreakingSpaceAddTest extends \PHPUnit_Framework_TestCase
{
    /** @var NonBreakingSpaceAdd */
    private $object;

    protected function setUp()
    {
        $this->object = new NonBreakingSpaceAdd();
        $this->object->addFormats(new CzechNbsp());
    }

    public function testModifyCzechNbsp()
    {
        parent::assertEquals(
                $this->getTextAfterModification(),
                $this->object->modify($this->getOriginalText())
        );
    }

    private function getOriginalText()
    {
        return <<<TEXT
        V tom poryv v Makově Bc. Zdeněk Drahoš. Dne 21. 11. 1989 (1989-21-11)
TEXT;
    }

    private function getTextAfterModification()
    {
        return <<<TEXT
        V tom poryv v Makově Bc. Zdeněk Drahoš. Dne 21. 11. 1989 (1989‑21‑11)
TEXT;
    }
}
